## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class SchemaObjectEditorInput

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISchemaObjectEditorInput, org.eclipse.ui.IEditorInput

Direct Known Subclasses:
  ProceduralObjectEditorInput

    public class SchemaObjectEditorInput

extends java.lang.Object
implements ISchemaObjectEditorInput

The editor input for schema object editor.

Author:
  Idull

Constructor Summary
`SchemaObjectEditorInput(IEditorDescriptor editor, ISchemaObjectEditModel modelObject, org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`boolean` `exists()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.datatools.sqltools.core.DatabaseIdentifier` `getDatabaseIdentifier()` Returns the database identifier
`ISchemaObjectEditModel` `getEditModelObject()` Returns the model of the object which is been editing
`IEditorDescriptor` `getEditorDescriptor()` Returns the `IEditorDescriptor` instance which is used to describe some static information of the schema object editor
`org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()`
`org.eclipse.ui.IPersistableElement` `getPersistable()`
`java.lang.String` `getToolTipText()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaObjectEditorInput

    public SchemaObjectEditorInput(IEditorDescriptor editor,
                                   ISchemaObjectEditModel modelObject,
                                   org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)

Method Detail

### getEditorDescriptor

    public IEditorDescriptor getEditorDescriptor()

  Description copied from interface: `ISchemaObjectEditorInput`
  Returns the `IEditorDescriptor` instance which is used to describe some static information of the schema object editor

  Specified by:
    `getEditorDescriptor` in interface `ISchemaObjectEditorInput`
  Returns:

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `org.eclipse.ui.IEditorInput`

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `org.eclipse.ui.IEditorInput`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.ui.IEditorInput`

### getPersistable

    public org.eclipse.ui.IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `org.eclipse.ui.IEditorInput`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `org.eclipse.ui.IEditorInput`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getEditModelObject

    public ISchemaObjectEditModel getEditModelObject()

  Description copied from interface: `ISchemaObjectEditorInput`
  Returns the model of the object which is been editing

  Specified by:
    `getEditModelObject` in interface `ISchemaObjectEditorInput`
  Returns:

### getDatabaseIdentifier

    public org.eclipse.datatools.sqltools.core.DatabaseIdentifier getDatabaseIdentifier()

  Description copied from interface: `ISchemaObjectEditorInput`
  Returns the database identifier

  Specified by:
    `getDatabaseIdentifier` in interface `ISchemaObjectEditorInput`
  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`